package com.plexworlds.l3.config;

import com.intellij.ui.IdeBorderFactory
import com.plexworlds.l3.llm.model.Models
import com.plexworlds.l3.llm.provider.Providers
import javax.swing.JComboBox
import javax.swing.JPanel
import javax.swing.JTextField

class L3SettingsPanel {

    lateinit var mainPanel: JPanel
    lateinit var providerComboBox: JComboBox<String>
    lateinit var modelComboBox: JComboBox<String>
    lateinit var modelOverrideField: JTextField
    lateinit var urlField: JTextField

    init {
        mainPanel.border = IdeBorderFactory.createTitledBorder("Plugin Settings")
        providerComboBox.addItem(Providers.OLLAMA.name)
        providerComboBox.addItem(Providers.DUMMY.name)
        modelComboBox.addItem(Models.QWEN25CODER_3B.name)
        modelComboBox.addItem(Models.CODELLAMA_7B.name)
    }
}
